> For the complete documentation index, see [llms.txt](https://docs.ixhello.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ixhello.com/ixhc/general/use-cases/contact-finder-with-rest-api/prerequisites/lex-developer-account.md).

# Lex Developer Account

You'll need a Lex Developer Account to publish the custom app to Lex. If you do not have one yet, you can proceed to [Sign Up for Amazon Web Services](https://signin.aws.amazon.com/signin?redirect_uri=https%3A%2F%2Fus-east-2.console.aws.amazon.com%2Fconsole%2Fhome%3Fregion%3Dus-east-2%26state%3DhashArgs%2523%26isauthcode%3Dtrue\&client_id=arn%3Aaws%3Aiam%3A%3A015428540659%3Auser%2Fhomepage\&forceMobileApp=0\&code_challenge=9nNXzyrNIGZEa88E12gdwP_z_GcXjUlexn0VjUc6Z_s\&code_challenge_method=SHA-256).

Ensure you Login with Amazon (LWA) [https://developer.amazon.com/amazon lex/console/ask](https://console.aws.amazon.com) account is setup by your admin. If you are the account admin, you can follow this instruction to set it up.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ixhello.com/ixhc/general/use-cases/contact-finder-with-rest-api/prerequisites/lex-developer-account.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
